Imports System.Data
Imports System.Data.OleDb
Public Class frmTitles
  Dim BooksConnection As OleDbConnection
  Dim TitlesCommand As OleDbCommand
  Dim TitlesAdapter As OleDbDataAdapter
  Dim TitlesTable As DataTable
  Dim TitlesManager As CurrencyManager

  Private Sub frmTitles_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
    'connect to books database
    BooksConnection = New OleDbConnection("Provider=Microsoft.Jet.OLEDB.4.0; Data Source = c:\VB2005DB\Working\books.mdb")
    'open the connection
    BooksConnection.Open()
    'establish command object
    TitlesCommand = New OleDbCommand("Select * from Titles", BooksConnection)
    'establish data adapter/data table
    TitlesAdapter = New OleDbDataAdapter()
    TitlesAdapter.SelectCommand = TitlesCommand
    TitlesTable = New DataTable()
    TitlesAdapter.Fill(TitlesTable)
    'bind controls to data table
    txtTitle.DataBindings.Add("Text", TitlesTable, "Title")
    txtYearPublished.DataBindings.Add("Text", TitlesTable, "Year_Published")
    txtISBN.DataBindings.Add("Text", TitlesTable, "ISBN")
    txtPubID.DataBindings.Add("Text", TitlesTable, "PubID")
    'establish currency manager
    TitlesManager = DirectCast(Me.BindingContext(TitlesTable), CurrencyManager)
    'close the connection
    BooksConnection.Close()
    'dispose of the object(s)
    BooksConnection.Dispose()
    TitlesCommand.Dispose()
    TitlesAdapter.Dispose()
    TitlesTable.Dispose()
  End Sub

  Private Sub btnFirst_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnFirst.Click
    TitlesManager.Position = 0
  End Sub
  Private Sub btnPrevious_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnPrevious.Click
    TitlesManager.Position -= 1
  End Sub

  Private Sub btnNext_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnNext.Click
    TitlesManager.Position += 1
  End Sub

  Private Sub btnLast_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnLast.Click
    TitlesManager.Position = TitlesManager.Count - 1
  End Sub
End Class
