Imports System.Data
Imports System.Data.OleDb
Public Class frmCustomers
  Dim NWindConnection As OleDbConnection
  Dim CustomersCommand As OleDbCommand
  Dim CustomersAdapter As OleDbDataAdapter
  Dim CustomersTable As DataTable
  Dim CustomersManager As CurrencyManager

  Private Sub frmCustomers_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
    'connect to NWind database
    NWindConnection = New OleDbConnection("Provider=Microsoft.Jet.OLEDB.4.0; Data Source = c:\VB2005DB\Working\NWind.mdb")
    NWindConnection.Open()
    'establish command object
    CustomersCommand = New OleDbCommand("Select * from Customers", NWindConnection)
    'establish data adapter/data table
    CustomersAdapter = New OleDbDataAdapter()
    CustomersAdapter.SelectCommand = CustomersCommand
    CustomersTable = New DataTable()
    CustomersAdapter.Fill(CustomersTable)
    'bind controls to data table
    txtCustomerID.DataBindings.Add("Text", CustomersTable, "CustomerID")
    txtCompanyName.DataBindings.Add("Text", CustomersTable, "CompanyName")
    txtContactName.DataBindings.Add("Text", CustomersTable, "ContactName")
    txtContactTitle.DataBindings.Add("Text", CustomersTable, "ContactTitle")
    'establish currency manager
    CustomersManager = DirectCast(Me.BindingContext(CustomersTable), CurrencyManager)
    'close the connection
    NWindConnection.Close()
    'dispose of the objects
    NWindConnection.Dispose()
    CustomersCommand.Dispose()
    CustomersAdapter.Dispose()
    CustomersTable.Dispose()
  End Sub

  Private Sub btnFirst_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnFirst.Click
    CustomersManager.Position = 0
  End Sub
  Private Sub btnPrevious_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnPrevious.Click
    CustomersManager.Position -= 1
  End Sub

  Private Sub btnNext_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnNext.Click
    CustomersManager.Position += 1
  End Sub

  Private Sub btnLast_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnLast.Click
    CustomersManager.Position = CustomersManager.Count - 1
  End Sub


End Class
